{include file="header.tpl"}
<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">
		<table class="tblList">

		<form method="get" action="{$smarty.server.SCRIPT_NAME}">
				<tr>
					<td class="tblPagingLeft" colspan="10" align="right">
						<br>
					</td>
				</tr>

				{if $open_pay_periods == FALSE }
					<tr class="tblHeader">
						<td colspan="8">
							{if $total_pay_periods == 0}
								There are no Pay Periods past their end date yet.
							{else}
								All pay periods are currently closed.
							{/if}
						</td>
					</tr>

				{else}
					{foreach from=$pay_periods item=pay_period name="pay_periods"}
						{if $smarty.foreach.pay_periods.first}
							<tr class="tblHeader">
								<td colspan="8">
									Step 1: Lock Pay Period to prevent changes.
								</td>
							</tr>

							<tr class="tblHeader">
								<td>
									Name
								</td>
								<td>
									Type
								</td>
								<td>
									Status
								</td>
								<td>
									Start
								</td>
								<td>
									End
								</td>
								<td>
									Transaction
								</td>
								<td>
									Functions
								</td>
								<td>
									<input type="checkbox" class="checkbox" name="select_all" onClick="CheckAll(this)" checked/>
								</td>
							</tr>
						{/if}
						{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
						{if $pay_period.deleted == TRUE}
							{assign var="row_class" value="tblDataDeleted"}
						{/if}
						<tr class="{$row_class}">
							<td>
								{$pay_period.name}
							</td>
							<td>
								{$pay_period.type}
							</td>
							<td>
								{$pay_period.status}
							</td>
							<td>
								{$pay_period.start_date}
							</td>
							<td>
								{$pay_period.end_date}
							</td>
							<td>
								{$pay_period.transaction_date}
							</td>
							<td>
								{if $pay_period.id}
									{assign var="pay_period_id" value=$pay_period.id}
									[ <a href="{urlbuilder script="ViewPayPeriod.php" values="pay_period_id=$pay_period_id" merge="FALSE"}">View</a> ]
								{/if}
							</td>
							<td>
								<input type="checkbox" class="checkbox" name="pay_period_ids[]" value="{$pay_period.id}" checked>
							</td>
						</tr>
					{/foreach}
					<tr>
						<td colspan="6">
							<br>
						</td>
						<td colspan="2" align="center">
							<input type="submit" name="action" value="Lock">
						</td>
					</tr>
		</form>

					<tr>
						<td colspan="10">
							<br>
						</td>
					</tr>

					{foreach from=$pay_periods item=pay_period name="pay_periods"}
						{if $smarty.foreach.pay_periods.first}
							<tr class="tblHeader">
								<td colspan="8">
									Step 2: Confirm all requests are authorized, and exceptions are handled.
								</td>
							</tr>

							<tr class="tblHeader">
								<td>
									Name
								</td>
								<td>
									Type
								</td>
								<td colspan="2">
									Pending Requests
								</td>
								<td colspan="1">
									Exceptions
								</td>
								<td colspan="1">
									Verified TimeSheets
								</td>
								<td colspan="2">
									Functions
								</td>
							</tr>
						{/if}
						{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
						{if $pay_period.deleted == TRUE}
							{assign var="row_class" value="tblDataDeleted"}
						{/if}
						<tr class="{$row_class}">
							<td>
								{$pay_period.name}
							</td>
							<td>
								{$pay_period.type}
							</td>
							<td colspan="2">
								<table width="100%" align="center" >
									<tr>
										<td width="20" style="background: {if $pay_period.pending_requests > 0}red{else}green{/if};">
											<br>
										</td>
										<td align="center">
											<b>
											{$pay_period.pending_requests}
											</b>
										</td>
									</tr>
								</table>
							</td>

							<td colspan="1">
								<table width="100%" align="center" >
									<tr>
										<td width="20" style="background: {if $pay_period.high_severity_exceptions > 0}red{else}green{/if};">
											<br>
										</td>
										<td align="center">
											<b>
											{$pay_period.low_severity_exceptions}
											/ <font color="blue">{$pay_period.med_severity_exceptions}</font>
											/ <font color="red">{$pay_period.high_severity_exceptions}</font>
											</b>
										</td>
									</tr>
								</table>
							</td>

							<td colspan="1">
								<table width="100%" align="center" >
									<tr>
										<td width="20" style="background: {if $pay_period.verified_time_sheets > $pay_period.total_worked_users}green{else}red{/if};">
											<br>
										</td>
										<td align="center">
											<b>
											{$pay_period.verified_time_sheets}
											/ {$pay_period.total_worked_users}
											</b>
										</td>
									</tr>
								</table>
							</td>

							<td colspan="2">
								[ <a href="{urlbuilder script="../punch/UserExceptionList.php" merge="FALSE"}">Exceptions</a> ]
								[ <a href="{urlbuilder script="../authorization/AuthorizationList.php" merge="FALSE"}">Requests</a> ]
								{assign var="pay_period_id" value=$pay_period.id}
								[ <a href="{urlbuilder script="../report/TimesheetSummary.php" values="filter_data[pay_period_ids][0]=$pay_period_id,filter_data[columns][99]=verified_time_sheet,filter_data[primary_sort]=verified_time_sheet" merge="FALSE"}">Verifications</a> ]
							</td>
						</tr>
					{/foreach}

					<tr>
						<td colspan="10">
							<br>
						</td>
					</tr>

					{foreach from=$pay_periods item=pay_period name="pay_periods"}
						{if $smarty.foreach.pay_periods.first}
							<tr class="tblHeader">
								<td colspan="8">
									Step 3: Submit all Pay Stub Amendments.
								</td>
							</tr>

							<tr class="tblHeader">
								<td>
									Name
								</td>
								<td>
									Type
								</td>
								<td colspan="4">
									Pay Stub Amendments
								</td>
								<td colspan="2">
									Functions
								</td>
							</tr>
						{/if}
						{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
						{if $pay_period.deleted == TRUE}
							{assign var="row_class" value="tblDataDeleted"}
						{/if}
						<tr class="{$row_class}">
							<td>
								{$pay_period.name}
							</td>
							<td>
								{$pay_period.type}
							</td>
							<td colspan="4">
								{$pay_period.total_ps_amendments}
							</td>
							<td colspan="2">
								[ <a href="{urlbuilder script="../pay_stub_amendment/PayStubAmendmentList.php" values="" merge="FALSE"}">View</a> ]
							</td>
						</tr>
					{/foreach}

					<tr>
						<td colspan="10">
							<br>
						</td>
					</tr>
		<form method="get" action="{$smarty.server.SCRIPT_NAME}">
					{foreach from=$pay_periods item=pay_period name="pay_periods"}
						{if $smarty.foreach.pay_periods.first}
							<tr class="tblHeader">
								<td colspan="8">
									Step 4: Generate and Review Pay Stubs.
								</td>
							</tr>

							<tr class="tblHeader">
								<td>
									Name
								</td>
								<td>
									Type
								</td>
								<td colspan="4">
									Pay Stubs
								</td>
								<td>
									Functions
								</td>
								<td>
									<input type="checkbox" class="checkbox" name="select_all" onClick="CheckAll(this)" checked/>
								</td>
							</tr>
						{/if}
						{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
						{if $pay_period.deleted == TRUE}
							{assign var="row_class" value="tblDataDeleted"}
						{/if}
						<tr class="{$row_class}">
							<td>
								{$pay_period.name}
							</td>
							<td>
								{$pay_period.type}
							</td>
							<td colspan="4">
								{$pay_period.total_pay_stubs}
							</td>
							<td>
								{if $pay_period.id}
									{assign var="pay_period_id" value=$pay_period.id}
									[ <a href="{urlbuilder script="../pay_stub/PayStubList.php" values="filter_pay_period_id=$pay_period_id" merge="FALSE"}">View</a> ]
									[ <a href="{urlbuilder script="../report/PayStubSummary.php" values="pay_period_id=$pay_period_id" merge="FALSE"}">Summary</a> ]
								{/if}
							</td>
							<td>
								<input type="checkbox" class="checkbox" name="pay_stub_pay_period_ids[]" value="{$pay_period.id}" checked>
							</td>
						</tr>
					{/foreach}
					<tr>
						<td colspan="6">
							<br>
						</td>
						<td colspan="2" align="center">
							<input type="submit" name="action" value="Generate Pay Stubs">
						</td>
					</tr>
		</form>

					<tr>
						<td colspan="10">
							<br>
						</td>
					</tr>
		<form method="get" action="{$smarty.server.SCRIPT_NAME}">
					{foreach from=$pay_periods item=pay_period name="pay_periods"}
						{if $smarty.foreach.pay_periods.first}
							<tr class="tblHeader">
								<td colspan="8">
									Step 5: Transfer Funds or Write Checks.
								</td>
							</tr>

							<tr class="tblHeader">
								<td>
									{include file="column_sort.tpl" label="Name" sort_column="name" current_column="$sort_column" current_order="$sort_order"}
								</td>
								<td>
									{include file="column_sort.tpl" label="Type" sort_column="type_id" current_column="$sort_column" current_order="$sort_order"}
								</td>

								<td>
									{include file="column_sort.tpl" label="Status" sort_column="status_id" current_column="$sort_column" current_order="$sort_order"}
								</td>
								<td>
									{include file="column_sort.tpl" label="Start" sort_column="start_date" current_column="$sort_column" current_order="$sort_order"}
								</td>
								<td>
									{include file="column_sort.tpl" label="End" sort_column="end_date" current_column="$sort_column" current_order="$sort_order"}
								</td>
								<td>
									{include file="column_sort.tpl" label="Transaction" sort_column="transaction_date" current_column="$sort_column" current_order="$sort_order"}
								</td>
								<td>
									Functions
								</td>
								<td>
									<input type="checkbox" class="checkbox" name="select_all" onClick="CheckAll(this)" checked/>
								</td>
							</tr>
						{/if}
						{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
						{if $pay_period.deleted == TRUE}
							{assign var="row_class" value="tblDataDeleted"}
						{/if}
						<tr class="{$row_class}">
							<td>
								{$pay_period.name}
							</td>
							<td>
								{$pay_period.type}
							</td>
							<td>
								{$pay_period.status}
							</td>
							<td>
								{$pay_period.start_date}
							</td>
							<td>
								{$pay_period.end_date}
							</td>
							<td>
								{$pay_period.transaction_date}
							</td>
							<td>
								{if $pay_period.id}
									{assign var="pay_period_id" value=$pay_period.id}
									<a href="{urlbuilder script="../pay_stub/PayStubList.php" values="filter_pay_period_id=$pay_period_id" merge="FALSE"}">View</a>
								{/if}
							</td>
							<td>
								<input type="checkbox" class="checkbox" name="pay_period_ids[]" value="{$pay_period.id}" checked>
							</td>
						</tr>
					{/foreach}
		</form>
					<tr>
						<td colspan="10">
							<br>
						</td>
					</tr>
		<form method="get" action="{$smarty.server.SCRIPT_NAME}">
					{foreach from=$pay_periods item=pay_period name="pay_periods"}
						{if $smarty.foreach.pay_periods.first}
							<tr class="tblHeader">
								<td colspan="8">
									Step 6: Close Pay Period.
								</td>
							</tr>

							<tr class="tblHeader">
								<td>
									{include file="column_sort.tpl" label="Name" sort_column="name" current_column="$sort_column" current_order="$sort_order"}
								</td>
								<td>
									{include file="column_sort.tpl" label="Type" sort_column="type_id" current_column="$sort_column" current_order="$sort_order"}
								</td>

								<td>
									{include file="column_sort.tpl" label="Status" sort_column="status_id" current_column="$sort_column" current_order="$sort_order"}
								</td>
								<td>
									{include file="column_sort.tpl" label="Start" sort_column="start_date" current_column="$sort_column" current_order="$sort_order"}
								</td>
								<td>
									{include file="column_sort.tpl" label="End" sort_column="end_date" current_column="$sort_column" current_order="$sort_order"}
								</td>
								<td>
									{include file="column_sort.tpl" label="Transaction" sort_column="transaction_date" current_column="$sort_column" current_order="$sort_order"}
								</td>
								<td>
									Functions
								</td>
								<td>
									<input type="checkbox" class="checkbox" name="select_all" onClick="CheckAll(this)" checked/>
								</td>
							</tr>
						{/if}
						{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
						{if $pay_period.deleted == TRUE}
							{assign var="row_class" value="tblDataDeleted"}
						{/if}
						<tr class="{$row_class}">
							<td>
								{$pay_period.name}
							</td>
							<td>
								{$pay_period.type}
							</td>
							<td>
								{$pay_period.status}
							</td>
							<td>
								{$pay_period.start_date}
							</td>
							<td>
								{$pay_period.end_date}
							</td>
							<td>
								{$pay_period.transaction_date}
							</td>
							<td>
								{if $pay_period.id}
									{assign var="pay_period_id" value=$pay_period.id}
									<a href="{urlbuilder script="ViewPayPeriod.php" values="pay_period_id=$pay_period_id" merge="FALSE"}">View</a>
								{/if}
							</td>
							<td>
								<input type="checkbox" class="checkbox" name="pay_period_ids[]" value="{$pay_period.id}" checked>
							</td>
						</tr>
					{/foreach}
					<tr>
						<td colspan="6">
							<br>
						</td>
						<td colspan="2" align="center">
							<input type="submit" name="action" value="Close" onClick="javascript: return confirmSubmit('Once a Pay Period is closed it cannot be re-opened, and Pay Stubs cannot be modified.\nAre you sure you want to close this Pay Period now?')">
						</td>
					</tr>
			{/if}
				</table>
				<br>
		</form>
	</div>
</div>
{include file="footer.tpl"}
