{include file="header.tpl"}
<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">
		<table class="tblList">
		<form method="get" action="{$smarty.server.SCRIPT_NAME}">
				<tr>
					<td class="tblPagingLeft" colspan="8" align="right">
						{include file="pager.tpl" pager_data=$paging_data}
					</td>
				</tr>
				<tr class="tblHeader">
					<td>
						#
					</td>
					<td>
						{include file="column_sort.tpl" label="Employee" sort_column="last_name" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						{include file="column_sort.tpl" label="Name" sort_column="name" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						{include file="column_sort.tpl" label="Description" sort_column="description" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						{include file="column_sort.tpl" label="Start" sort_column="start_date" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						{include file="column_sort.tpl" label="End" sort_column="end_date" current_column="$sort_column" current_order="$sort_order"}
					</td>
					<td>
						Functions
					</td>
					<td>
						<input type="checkbox" class="checkbox" name="select_all" onClick="CheckAll(this)"/>
					</td>
				</tr>
				{foreach from=$rows item=row name=schedule}
					{cycle assign=row_class values="tblDataWhite,tblDataGrey"}
					{if $row.deleted == TRUE}
						{assign var="row_class" value="tblDataDeleted"}
					{/if}
					<tr class="{$row_class}">
						<td>
							{$smarty.foreach.schedule.iteration}
						</td>
						<td>
							{$row.user_full_name}
						</td>
						<td>
							{$row.name}
						</td>
						<td>
							{$row.description}
						</td>
						<td>
							{getdate type="DATE" epoch=$row.start_date}
						</td>
						<td>
							{if $row.end_date == NULL}
								Never
							{else}
								{getdate type="DATE" epoch=$row.end_date}
							{/if}
						</td>
						<td>
							{assign var="row_id" value=$row.id}
							{if $permission->Check('recurring_schedule','edit') OR ( $permission->Check('recurring_schedule','edit_child') AND $row.is_child === TRUE ) OR ( $permission->Check('recurring_schedule','edit_own') AND $row.is_owner === TRUE )}
								[ <a href="{urlbuilder script="EditRecurringSchedule.php" values="id=$row_id" merge="FALSE"}">Edit</a> ]
							{/if}
						</td>
						<td>
							<input type="checkbox" class="checkbox" name="ids[]" value="{$row.id}">
						</td>
					</tr>
				{/foreach}
				<tr>
					<td class="tblActionRow" colspan="8">
						{if $permission->Check('recurring_schedule','add')}
							<input type="submit" class="button" name="action" value="Add">
						{/if}
						{if $permission->Check('recurring_schedule','delete') OR $permission->Check('recurring_schedule','delete_own') OR $permission->Check('recurring_schedule','delete_child')}
						 <input type="submit" class="button" name="action" value="Delete" onClick="return confirmSubmit()">
						{/if}
						{if $permission->Check('recurring_schedule','undelete')}
							<input type="submit" class="button" name="action" value="UnDelete">
						{/if}
					</td>
				</tr>
				<tr>
					<td class="tblPagingLeft" colspan="8" align="right">
						{include file="pager.tpl" pager_data=$paging_data}
					</td>
				</tr>
			<input type="hidden" name="sort_column" value="{$sort_column}">
			<input type="hidden" name="sort_order" value="{$sort_order}">
			<input type="hidden" name="page" value="{$paging_data.current_page}">
			</table>
		</form>
	</div>
</div>
{include file="footer.tpl"}